import { listRules as publicListRules, createOrReplaceAllRules as publicCreateOrReplaceAllRules } from './social-groups-v2-group-rules-rules.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onGroupRulesUpdated as publicOnGroupRulesUpdated } from './social-groups-v2-group-rules-rules.public.js';
export declare const listRules: MaybeContext<BuildRESTFunction<typeof publicListRules> & typeof publicListRules>;
export declare const createOrReplaceAllRules: MaybeContext<BuildRESTFunction<typeof publicCreateOrReplaceAllRules> & typeof publicCreateOrReplaceAllRules>;
/**
 * Triggered when rules are updated.
 */
export declare const onGroupRulesUpdated: ReturnType<typeof createEventModule<typeof publicOnGroupRulesUpdated>>;
export { WebhookIdentityType } from './social-groups-v2-group-rules-rules.universal.js';
export { GroupRules, GroupRule, ListRulesRequest, ListRulesResponse, CreateOrReplaceAllRulesRequest, CreateOrReplaceAllRulesResponse, Empty, ListTemplatesResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, GroupRulesUpdatedEnvelope, CreateOrReplaceAllRulesOptions, } from './social-groups-v2-group-rules-rules.universal.js';
