import { listRules as publicListRules, createOrReplaceAllRules as publicCreateOrReplaceAllRules, } from './social-groups-v2-group-rules-rules.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onGroupRulesUpdated as publicOnGroupRulesUpdated } from './social-groups-v2-group-rules-rules.public.js';
export const listRules = /*#__PURE__*/ createRESTModule(publicListRules);
export const createOrReplaceAllRules = /*#__PURE__*/ createRESTModule(publicCreateOrReplaceAllRules);
/**
 * Triggered when rules are updated.
 */
export const onGroupRulesUpdated = createEventModule(publicOnGroupRulesUpdated);
export { WebhookIdentityType } from './social-groups-v2-group-rules-rules.universal.js';
//# sourceMappingURL=social-groups-v2-group-rules-rules.context.js.map