"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.onGroupRulesUpdated = exports.createOrReplaceAllRules = exports.listRules = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const social_groups_v2_group_rules_rules_universal_js_1 = require("./social-groups-v2-group-rules-rules.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/groups' };
function listRules(httpClient) {
    return (groupId) => (0, social_groups_v2_group_rules_rules_universal_js_1.listRules)(groupId, 
    // @ts-ignore
    { httpClient });
}
exports.listRules = listRules;
function createOrReplaceAllRules(httpClient) {
    return (groupId, options) => (0, social_groups_v2_group_rules_rules_universal_js_1.createOrReplaceAllRules)(groupId, options, 
    // @ts-ignore
    { httpClient });
}
exports.createOrReplaceAllRules = createOrReplaceAllRules;
exports.onGroupRulesUpdated = (0, sdk_types_1.EventDefinition)('wix.social_groups.v2.group_rules_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var social_groups_v2_group_rules_rules_universal_js_2 = require("./social-groups-v2-group-rules-rules.universal.js");
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return social_groups_v2_group_rules_rules_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=social-groups-v2-group-rules-rules.public.js.map