import * as ambassadorWixSocialGroupsV2GroupRules from './social-groups-v2-group-rules-rules.http.js';
export function listRules() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2GroupRules.listRules(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/rules/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function createOrReplaceAllRules() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2GroupRules.createOrReplaceAllRules(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v2/rules/{groupId}',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=social-groups-v2-group-rules-rules.meta.js.map